Bug 254007 - mail/dovecot: Update to 2.3.14
Summary: mail/dovecot: Update to 2.3.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Larry Rosenman
URL: https://dovecot.org/pipermail/dovecot...
Keywords: security
Depends on:
Blocks:
 
Reported: 2021-03-04 11:06 UTC by Pascal Christen
Modified: 2021-07-03 10:13 UTC (History)
9 users (show)

See Also:
pascal.christen: maintainer-feedback-
pascal.christen: maintainer-feedback-


Attachments
Patch for Dovecot and Pigeonhole (5.46 KB, patch)
2021-03-04 11:06 UTC, Pascal Christen
no flags Details | Diff
Patch file (9.04 KB, patch)
2021-06-21 23:56 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2021-03-04 11:06:34 UTC
Created attachment 222969 [details]
Patch for Dovecot and Pigeonhole

Hi

Update for Dovecot to 2.3.14 and pigeonhole v0.5.14

The provided patch removes 2 patch-files because it got "fixed" upstream:

https://github.com/dovecot/core/commit/cd17ae1d770d2376802a3e53a9ec8f72cd8ac5c2

https://github.com/dovecot/core/commit/0d248309671385c64c17099be4c6643b933a9ed6
Comment 1 Pascal Christen 2021-04-28 05:19:56 UTC
Anyone?
Comment 2 Bryan Drewery freebsd_committer 2021-05-13 19:33:08 UTC
Ping?
Comment 3 Yasuhiro Kimura 2021-06-21 23:56:03 UTC
Created attachment 225984 [details]
Patch file

* Update mail/dovecot to 2.3.15.
* Update mail/dovecot-pigeonhole to 0.5.15.
* Bump PORTREVISION of mail/dovecot-fts-xapian.

Release Notes: https://dovecot.org/pipermail/dovecot-news/2021-June/000457.html
Relesae Notes: https://dovecot.org/pipermail/dovecot-news/2021-June/000458.html
Security: 46a1b78f-d2dc-11eb-baa9-080027f515ea
Comment 4 Juraj Lutter freebsd_committer 2021-06-24 12:50:42 UTC
fwiw, I've opened a review D30866
Comment 5 Michael Grimm 2021-06-29 17:05:46 UTC
(In reply to Juraj Lutter from comment #4)

And have a look at Bug 256860 please.
Comment 6 Nathanael Hoyle 2021-06-30 15:36:05 UTC
This update is needed with a fair degree of urgency, given https://vuxml.freebsd.org/freebsd/d18f431d-d360-11eb-a32c-00a0989e4ec1.html.
Comment 7 Kurt Jaeger freebsd_committer 2021-07-03 10:13:00 UTC
Done, see PR#256860